﻿using System;
using System.Xml.Serialization;

namespace Com.Piwigo.Lib.DTO
{

    [Serializable()]
    [XmlRoot(ElementName = "PwgConfidentLevelEnum")]
    public enum PwgConfidentLevelEnum : int
    {
        //0 (—-), 1 (Contacts), 2 (Friends), 4 (Family), 8 (Admins)
        [XmlEnum("all")]
        All = 0,
        [XmlEnum("contacts")]
        Contacts = 1,
        [XmlEnum("friends")]
        Friends = 2,
        [XmlEnum("family")]
        Family = 4,
        [XmlEnum("admins")]
        Admins = 8
    }
}
